# $Revision: 1.35.2.9 $, $Date: 2005/10/17 07:13:33 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	Zlib
Summary:	Compress::Zlib - interface to zlib library
Summary(cs):	Compress::Zlib - modul poskytujc rozhran Perlu ke kompriman knihovn zlib
Summary(da):	Compress::Zlib - et modul som giver Perl en grnseflade til komprimeringsbiblioteket zlib
Summary(de):	Compress::Zlib - ein Modul mit Perl-Interfaces zur zlib Komprimier-Bibliothek
Summary(es):	Compress::Zlib - mdulo que proporciona las interfaces Perl para la librera de compresin
Summary(fr):	Compress::Zlib - module fournissant une interface Perl  la bibliothque de compression zlib
Summary(it):	Compress::Zlib - modulo che fornisce interfacce di Perl alla libreria di compressione zlib
Summary(ja):	Compress::Zlib - zlib̥饤֥Perl 󥿡ե󶡤⥸塼롣
Summary(ko):	Compress::Zlib - zlib  ̺귯 Perl ̽ ϴ 
Summary(pl):	Compress::Zlib - interfejs do biblioteki zlib
Summary(pt):	Compress::Zlib - um mdulo que oferece interfaces em Perl para a biblioteca de compresso zlib
Summary(pt_BR):	Compress::Zlib - um mdulo que oferece interfaces em Perl para a biblioteca de compresso zlib
Summary(sv):	Compress::Zlib - en modul som ger Perl ett grnssnitt till komprimeringsbiblioteket zlib
Summary(tr):	Compress::Zlib - zlib sktrma kitaplna Perl arayzler salayan bir modl
Summary(zh_CN):	Compress::Zlib - ṩ zlib ѹ Perl ģ顣
Summary(zh_TW):	Compress::Zlib -  Perl  zlib Y禡w@ӼҲաC
Name:		perl-Compress-Zlib
Version:	1.37
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d2333c3271378bc004a35d4ca330bfee
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-devel >= 5.6
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.

%description -l cs
Modul Compress::Zlib poskytuje rozhran ke kompriman knihovn v
Perlu. Vtina funkc poskytovanch zlib je k dispozici v
Compress::Zlib.

Modul me bt rozdlen do dvou obecnch oblast funknosti, konkrtn
do komprese/dekomprese v pamti a do ten/zpisu soubor gzip.

%description -l da
Modulet Compress::Zlib giver Perl en grnseflade til
komprimeringsbiblioteket zlib. Det meste af funktionaliteten som
zlibgiver er tilgngelig i Compress::Zlib.

Modulet kan deles i to generelle funktionsomrder, nemlig
komprimering/dekomprimering i hukommelsen og lsning/skrivning til
gzip-filer.

%description -l de
Das Compress::Zlib Modul enthlt ein Perl-Interface zur zlib
Komprimier-Bibliothek. Die meisten Funktionen von zlib sind in
Compress::Zlib verfgbar.

Das Modul kann in zwei allgemeine Funktionsbereiche aufgeteilt werden:
Komprimieren/Dekomprimieren im Speicher und Lese-/Schreibzugriff fr
gzip files.

%description -l es
El mdulo Compress::Zlib proporciona una interfaz Perl para la
librera de compresin zlib. La mayora de la funcionalidad
proporcionada por zlib est disponible en Compress::Zlib.

El mdulo puede separarse en dos reas generales de funcionalidad,
compresin/decompresin de memoria interna y acceso lectura/escritura
para los ficheros gzip.

%description -l fr
Le module Compress::Zlib fournit une interface Perl pour la
bibliothque de compression zlib. La plupart des fonctionnalits
fournies par zlib est accessible dans Compress::Zlib.

Le module peut tre divis en deux zones de fonctionnalit distinctes:
compression/dcompression dans la mmoire et accs en lecture/criture
aux fichiers gzip.

%description -l it
Il modulo Compress::Zlib fornisce un'interfaccia Perl per la libreria
di compressione zlib Gran parte delle funzionalit fornite da zlib 
disponibile in Compress::Zlib.

Il modulo pu essere diviso in due aree di funzionalit generali:
compressione/decompressione nella memoria e accesso in lettura/
scrittura ai file gzip.

%description -l ko
Compress::Zlib  zlib  ̺귯 Perl ̽
մϴ. Compress::Zlib zlib ϴ κ  ߰
ֽϴ.

  Ϲ   ΰ  մϴ: ޸
/   ɰ gzip Ϸ б/   .


%description -l pl
Modu Compress::Zlib stanowi interfejs Perla do biblioteki zlib.
Wikszo funkcji biblioteki zlib jest dostpna poprzez
Compress::Zlib.

Modu mona podzieli funkcjonalnie na dwie zasadnicze czci: do
kompresji/dekompresji w pamici oraz do dostpu (odczyt i zapis) do
plikw skompresowanych gzipem.

%description -l pt
O mdulo Compress::Zlib oferece uma interface de Perl para a
biblioteca de compresso zlib (veja o /AUTHOR para mais detalhes de
como obter a zlib). A maior parte da funcionalidade oferecida pela
zlib est ento disponvel no Compress::Zlib.

O mdulo pode ser dividido em duas reas de funcionalidade geral,
nomeadamente na compresso/descompresso na memria e no acesso para
leitura/escrita nos ficheiros do 'gzip'.

%description -l pt_BR
O mdulo Compress::Zlib oferece uma interface de Perl para a
biblioteca de compresso zlib (veja o /AUTHOR para mais detalhes de
como obter a zlib). A maior parte da funcionalidade oferecida pela
zlib est ento disponvel no Compress::Zlib.

O mdulo pode ser dividido em duas reas de funcionalidade geral,
nomeadamente na compresso/descompresso na memria e no acesso para
leitura/escrita nos ficheiros do 'gzip'.

%description -l sv
Modulen Compress::Zlib ger Perl ett grnssnitt till
komprimeringsbiblioteket zlib. Det mesta av funktionaliteten som
zlibger r tkomlig i Compress::Zlib.

Modulen kan delas i tv allmnna funktionsomrden, nmligen
komprimering/dekomprimering i minnet och lsning/skrivning till
gzip-filer.

%description -l zh_CN
Compress::Zlib ģṩ˵ zlib ѹ Perl  zlib
ṩĶ Compress::Zlib пá

ģĹܿԱֳ࣬ڴڵѹ/ѹ  gzip
ļĶдʡ

%description -l zh_TW
Compress::Zlib Ҳլ zlib Y禡wѤ@ Perl C  zlib
Ѫj\ʳib Compress::Zlib oC

oӼҲեiHάӤ@\ʪdA
٬O餤YPYAHŪgs gzip ɮסC

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make} \
	OPTIMIZE="%{rpmcflags}"
rm -f examples/*.orig*

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ANNOUNCE
%{perl_sitearch}/%{pdir}/%{pnam}.pm
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%{perl_sitearch}/auto/%{pdir}/%{pnam}/%{pnam}.bs
%{perl_sitearch}/auto/%{pdir}/%{pnam}/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/%{pnam}.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-Zlib.spec,v $
Revision 1.35.2.9  2005/10/17 07:13:33  hawk
- oops! release 2 for Ra

Revision 1.35.2.8  2005/10/17 06:56:58  hawk
- merged version 1.37 from HEAD

Revision 1.35.2.7  2003/09/09 11:12:03  ankry
- spaces -> tabs

Revision 1.35.2.6  2003/07/11 12:02:31  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.35.2.5  2003/04/10 14:12:59  ankry
- added tests
- more descriptive summary/description
- updated to 1.20

Revision 1.35.2.4  2003/04/09 21:33:40  ankry
- rel. 3

Revision 1.35.2.3  2003/04/08 19:45:32  ankry
- rel 2.3

Revision 1.35.2.2  2003/04/08 19:30:27  ankry
- merge from head

Revision 1.38  2003/04/04 17:55:35  ankry
- added "-f" option to rm: don't assume broken files exist
- rel. 2.2

Revision 1.37  2003/04/04 10:04:46  mkochano
- Release 2.1
- Remove .orig* files. They generate dependency on /usr/local/bin/perl.

Revision 1.35.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.35  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:28:19  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.32  2002/11/08 21:58:00  kloczek
- merge translations from Conectiva.

Revision 1.31  2002/11/08 19:03:49  radek
- version 1.19

Revision 1.30  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.29  2002/05/11 21:05:38  areq
- 1.16, STBR

Revision 1.28  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.26  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/13 14:10:18  depesz
automatic: Source location unified, Relase Up

Revision 1.24  2002/02/10 15:24:42  depesz
adapterized

Revision 1.23  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/02 17:13:40  kloczek
- updated to 1.14.

Revision 1.21  2001/06/06 16:14:19  mis
- autoupdated to 1.13

Revision 1.20  2001/05/06 14:35:59  mis
- autoupdated to 1.12

Revision 1.19  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/04/17 12:06:32  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.16  2001/02/20 14:43:49  mis
- updated (by autoup) to 1.11

Revision 1.15  2001/02/06 09:28:57  kloczek
- updated to 1.10.

Revision 1.14  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2001/01/22 09:03:48  kloczek
- updated to 1.09.

Revision 1.12  2000/12/29 17:30:08  kloczek
- release 3: rebuild against perl 5.6.

Revision 1.11  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/11/22 11:00:31  kloczek
- release 2: use new rpm automation.

Revision 1.9  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.5  2000/02/17 20:36:27  pius
- updated to 1.08

Revision 1.4  1999/11/07 11:20:09  pius
- updated to 1.05

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
